{include="header"}

{if="$fsc->agente"}
   {if="$fsc->caja"}
      {if="$fsc->caja->codagente!=$fsc->user->codagente"}
      <div class="container-fluid">
         <div class="row">
            <div class="col-sm-3"></div>
            <div class="col-sm-6">
               <div class="thumbnail">
                  <img src='view/img/big_lock.png' alt="acceso denegado"/>
               </div>
            </div>
         </div>
      </div>
      {elseif="!$fsc->cliente_s"}
      <div class="container-fluid">
         <div class="row">
            <div class="col-sm-3"></div>
            <div class="col-sm-6">
               <div class="alert alert-danger">
                  No hay clientes. Debes añadir al menos uno, por ejemplo <b>Contado</b>.
               </div>
               <div class="thumbnail">
                  <img src='view/img/fuuu_face.png' alt="acceso denegado"/>
               </div>
            </div>
         </div>
      </div>
      {else}
         {include="tpv_recambios2"}
      {/if}
   {elseif="$fsc->terminal"}
   <script type="text/javascript">
      $(document).ready(function() {
         document.f_caja.d_inicial.select();
      });
   </script>
   <form name="f_caja" action="{$fsc->url()}" method="post" class="form">
      <input type="hidden" name="terminal" value="{$fsc->terminal->id}"/>
      <div class="container">
         <div class="row">
            <div class="col-sm-12">
               <div class="page-header">
                  <h1>
                     <span class="glyphicon glyphicon-print" aria-hidden="true"></span>&nbsp;
                     Terminal {$fsc->terminal->id}
                  </h1>
               </div>
            </div>
         </div>
         <div class="row">
            <div class="col-sm-8">
               <div class="panel panel-primary">
                  <div class="panel-heading">
                     <h3 class="panel-title">¿Cuanto dinero hay en la caja?</h3>
                  </div>
                  <div class="panel-body">
                     <div class="form-group">
                        <input type="number" step="any" name="d_inicial" value="0.00" class="form-control" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="panel-footer">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                     </button>
                  </div>
               </div>
            </div>
            <div class="col-sm-4">
               <div class="thumbnail">
                  <img src="plugins/facturacion_base/view/img/cajon.jpg" alt="tpv"/>
               </div>
            </div>
         </div>
      </div>
   </form>
   {else}
   <div class="container">
      <div class="row">
         <div class="col-sm-12">
            <div class="page-header">
               <h1>
                  <i class="fa fa-desktop" aria-hidden="true"></i>&nbsp;
                  Elige un terminal para empezar
               </h1>
               <p class="help-block">
                  Una vez abierta la caja de un terminal, ningún otro usuario podrá
                  usarlo hasta que se cierre la caja.
               </p>
            </div>
         </div>
      </div>
      <div class="row">
         {loop="$fsc->results"}
         <div class="col-sm-6">
            <a href="{$fsc->url()}&terminal={$value->id}" class="btn btn-block btn-default">
               <span class="glyphicon glyphicon-print" aria-hidden="true"></span> &nbsp; Terminal {$value->id}
            </a>
         </div>
         {else}
         <div class="col-sm-12">
            <a href="index.php?page=tpv_caja#terminales" class="btn btn-block btn-info">
               <span class="glyphicon glyphicon-wrench" aria-hidden="true"></span> &nbsp; Administrar terminales
            </a>
         </div>
         {/loop}
      </div>
   </div>
   {/if}
{else}
<div class="thumbnail">
   <img src='view/img/big_lock.png' alt="Acceso denegado"/>
</div>
{/if}

{if="$fsc->terminal"}
<div class="hidden">
   <img src="http://localhost:10080?terminal={$fsc->terminal->id}" alt="remote-printer"/>
</div>
{/if}

{include="footer"}
